function Population = EnvironmentalSelection(Population,N)
% The environmental selection of Random

%------------------------------- Copyright --------------------------------
% Copyright (c) 2018-2019 BIMK Group. You are free to use the PlatEMO for
% research purposes. All publications which use this platform or any code
% in the platform should acknowledge the use of "PlatEMO" and reference "Ye
% Tian, Ran Cheng, Xingyi Zhang, and Yaochu Jin, PlatEMO: A MATLAB platform
% for evolutionary multi-objective optimization [educational forum], IEEE
% Computational Intelligence Magazine, 2017, 12(4): 73-87".
%--------------------------------------------------------------------------

    [FrontNo,MaxFNo] = NDSort(Population.objs,Population.cons,N);
    Next = FrontNo < MaxFNo;
    
    %% Extract solutions randomly in a last front
    Last     = find(FrontNo==MaxFNo);
    randomlySortedLast = Last(randperm(length(Last), N - sum(Next)));
    Next(randomlySortedLast) = true;
    
    %% Population for next generation
    Population = Population(Next);
end